<?php

namespace App\Repositories\Shop\Traits;

use Illuminate\Mail\Mailables\Address;
use Illuminate\Mail\Mailables\Envelope;

trait MailCustomers
{
    public function envelope()
    {
        return new Envelope(
            from: new Address('boutique@jardinenvie.com', 'Jardin\'en\'Vie'),
            subject: $this->subject,
        );
    }
}
